Bug 663117 - genshi 0.6 generates <script> tags that are not parsed correctly by firefox
Summary: genshi 0.6 generates <script> tags that are not parsed correctly by firefox
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: TurboGears2
Version: 15
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-14 18:47 UTC by Ryan McCabe
Modified: 2013-01-10 06:23 UTC (History)
9 users (show)

Fixed In Version: TurboGears2-2.1.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-10 00:25:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 663103 None None None Never

Internal Links: 663103

Description Ryan McCabe 2010-12-14 18:47:21 UTC
See bug #663103 for more info. Copied from there:

> Explaination of the problem in detail:
> 
> The new version of Genshi tries to everything "compressable" (e.g. <script
> ...></script>) turn into self-closed tags (i.e. <script ... />). Because luci
> is by default served with "text/html" content type, internally another parser
> is used (than in "application/xhtml+xml" case), which causes denying the
> self-closed "script" tags.

Comment 1 Kevin Fenzi 2010-12-14 19:18:17 UTC
Is this issue happening in EPEL6? 

python-genshi06 is a compatibility package for EPEL6 only. It doesn't exist in any other branches. 
Perhaps you meant this to be against python-genshi in rawhide (which happens to be the 0.6 version)?

Comment 2 Ryan McCabe 2010-12-15 16:58:03 UTC
Sorry -- didn't realize that. I've moved the component.

Comment 3 Jeffrey C. Ollie 2010-12-15 17:31:27 UTC
Is anyone working with Luci or Genshi upstreams to solve this and release an update?  I'm extremely hesitant to add a patch to the Genshi package to fix bugs which are arguably due to browser bugs/incompatibilities.

Comment 4 Ryan McCabe 2010-12-15 23:34:36 UTC
We're currently working around the problem in luci. We haven't talked with genshi upstream.

Comment 5 Jan Pokorný [poki] 2010-12-22 13:39:01 UTC
Re comment #3:
I agree that this is not necessarily a bug and if, it might be due to
incomplete configuration of Genshi middleware on TurboGears2 side (this
could be solved in newer version of TG2 than is packaged, which might
take this new version of Genshi into account).

We now serve luci with "application/xhtml+xml" content type to web browsers
that declare to know this type, which solves the situation for Firefox.
This is rather a "proper solution" then a "workaround" (according to
W3C specifications/recommendations).  MSIE still has to be tested but
I guess there will be a path to get it rendering the pages as well
as with other browsers if it doesn't apply now (cannot check this myself
natively and not sure about new versions of MSIE under Wine).


So I would say that the "bug" status of this depends more on other users
of Genshi, whether they see a bug in the mentioned little change in
behaviour compared to its older versions.  Frankly, I didn't dig into
depth to be able to tell any authoritative statement here.

Comment 6 Nils Philippsen 2011-06-22 21:47:35 UTC
(In reply to comment #5)
> Re comment #3:
> I agree that this is not necessarily a bug and if, it might be due to
> incomplete configuration of Genshi middleware on TurboGears2 side (this
> could be solved in newer version of TG2 than is packaged, which might
> take this new version of Genshi into account).

This is indeed the case: I've just run into this same problem (with <textarea>, not <script>) and found that version 2.1.1 which came out lately fixes this, see http://codersbuffet.blogspot.com/2011/06/announcement-turbogears-211-released.html for details. Note that this needs a new version of python-webob (needs 1.0.7 but 1.0.8 came out lately) and I think keeping tg2devtools in sync would be good as well which might have other updated version requirements.

I can update these packages in Rawhide, but the question remains what we'll do for F-15 -- update as well or backport the fix?

Comment 7 Toshio Ernie Kuratomi 2011-07-18 17:55:17 UTC
F15 has TG2-2.1.
F14 has a TG-2.1 rc.

I think updating F15, at least, makes sense.

Comment 8 Nils Philippsen 2011-08-17 15:24:53 UTC
As discussed on IRC, I'll update tg2 to 2.1.1 and python-webob to 1.0.8.

Comment 9 Fedora Update System 2011-08-18 11:03:40 UTC
TurboGears2-2.1.1-1.fc15,python-webob-1.0.8-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/TurboGears2-2.1.1-1.fc15,python-webob-1.0.8-1.fc15

Comment 10 Fedora Update System 2011-08-18 11:04:15 UTC
TurboGears2-2.1.1-1.fc16,python-webob-1.0.8-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/TurboGears2-2.1.1-1.fc16,python-webob-1.0.8-1.fc16

Comment 11 Fedora Update System 2011-08-19 21:57:28 UTC
Package TurboGears2-2.1.1-1.fc15, python-webob-1.0.8-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing TurboGears2-2.1.1-1.fc15 python-webob-1.0.8-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/TurboGears2-2.1.1-1.fc15,python-webob-1.0.8-1.fc15
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2011-09-09 17:08:45 UTC
TurboGears2-2.1.1-1.fc16, python-webob-1.0.8-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-09-10 00:25:39 UTC
TurboGears2-2.1.1-1.fc15, python-webob-1.0.8-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.